Installazione plugins rails

Salve,
ho difficoltà a installare qualunque plugin per la mia applicazione ruby
on rails.
Dispongo di:
rails 2.3.8
ruby 1.8.6 (2008-08-11 patchlevel 287) [i386-mswin32]
gem 1.3.7
su windows vista

Praticamente, se ad es. voglio installare il plugin per le google maps,
faccio le seguenti cose:
Dopo aver aperto il prompt dei comandi ed essermi posizionato nella root
del mio progetto rails, digito il comando

ruby script/plugin install
svn://rubyforge.org/var/svn/ym4r/Plugins/GM/trunk/ym4r_gm

Però, dopo aver dato l’invio o non mi installa niente(trovo solo una
cartella “ym4r” vuota) e mi ritorna il prompt oppure mi appare il
messaggio
“Plugin not found:[”…"]".

La stessa cosa accade anche per tutti gli altri plugins che ho provato a
installare. Non posso credere che non ne trova nessuno.
Spero che possiate aiutarmi perchè sono rimasto bloccato.
Grazie.

Il giorno 03 settembre 2010 08:09, Andrea Patanè
[email protected]ha scritto:

ruby script/plugin install
svn://rubyforge.org/var/svn/ym4r/Plugins/GM/trunk/ym4r_gm

Però, dopo aver dato l’invio o non mi installa niente(trovo solo una
cartella “ym4r” vuota) e mi ritorna il prompt oppure mi appare il
messaggio
“Plugin not found:[”…"]".

hai un svn client? Probabilmente non riesce a dare il comando per
scaricarlo…


Salvatore

Salvatore Ferrucci wrote:

Il giorno 03 settembre 2010 08:09, Andrea Patan�
[email protected]ha scritto:

ruby script/plugin install
svn://rubyforge.org/var/svn/ym4r/Plugins/GM/trunk/ym4r_gm

Per�, dopo aver dato l’invio o non mi installa niente(trovo solo una
cartella “ym4r” vuota) e mi ritorna il prompt oppure mi appare il
messaggio
“Plugin not found:[”…"]".

hai un svn client? Probabilmente non riesce a dare il comando per
scaricarlo…


Salvatore

Sinceramente non so nemmeno cosa sia. Comunque credo proprio di no, io
digito il comando per scaricare il plugin dal prompt dei comandi di
windows.
Ho anche trovato un sito molto ben fornito di plugin,
http://www.railslodge.com/plugins, e per ogni plugin suggerisce il
comando da digitare. Ma anche lì niente da fare:
Dopo aver digitato il comando per installare ym4r:

ruby script/plugin install git://github.com/bitbckt/ym4r-gm.git

mi restituisce il prompt e dentro vendor/plugins crea solo una cartella
ym4r_gm completamente vuota.
Non so proprio che fare.

Il 03 settembre 2010 12:30, Andrea Patanè [email protected] ha
scritto:

Non so proprio che fare.

Installa git http://code.google.com/p/msysgit/ per i plugin su git,
svn per quelli su subversion (ce ne sono varie versioni, guarda in
fondo a http://subversion.apache.org/packages.html e in più c’è
http://tortoisesvn.tigris.org/ ).

pietro

Pietro G. wrote:

Il 03 settembre 2010 12:30, Andrea Patan� [email protected] ha
scritto:

Non so proprio che fare.

Installa git http://code.google.com/p/msysgit/ per i plugin su git,
svn per quelli su subversion (ce ne sono varie versioni, guarda in
fondo a http://subversion.apache.org/packages.html e in pi� c’�
http://tortoisesvn.tigris.org/ ).

pietro

Grazie mille!!! Se prima non riuscivo a scaricare nemmeno un plugin, ora
è possibile. Purtroppo non da tutte le repository ma va benissimo lo
stesso.
Alla fine quelle che mi servono le ho installate.
Ancora grazie.

Andrea

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs